<!-- Generated by scripts/utils/show_asr_result.sh -->

## How to use fusion of front-ends : 

We provide in this recipe a example configuration file using several front-ends and a linear fusion to combine them. 
The configuration file is [here](https://github.com/DanBerrebbi/espnet/blob/master/egs2/commonvoice/asr1/conf/tuning/train_asr_fused_frontends.yaml#L22-L50), we highlighted the lines defning the front-end fusion. 
For more details on how use fusion of front-ends, you can refer to this [wiki](https://github.com/DanBerrebbi/espnet/blob/master/egs2/commonvoice/asr1/Fusing_ASR_frontends_in_Espnet2.md).


# RESULTS
## Environments
- date: `Fri Dec 18 04:46:59 KST 2020`
- python version: `3.7.3 (default, Mar 27 2019, 22:11:17)  [GCC 7.3.0]`
- espnet version: `espnet 0.7.0`
- pytorch version: `pytorch 1.2.0`
- Git hash: `31852d3eb9c227ad01dad42dc342a98beb298c16`
  - Commit date: `Fri Nov 27 09:17:36 2020 +0900`

## asr_train_asr_conformer5_raw_cy_bpe150_sp
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_cy_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_cy|2933|28498|88.3|10.3|1.4|1.1|12.8|48.1|
|decode_asr_lm_lm_train_lm_cy_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_cy|2937|26046|91.9|7.2|0.9|0.7|8.8|27.3|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_cy_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_cy|2933|156313|96.5|1.9|1.7|0.9|4.4|48.1|
|decode_asr_lm_lm_train_lm_cy_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_cy|2937|139576|97.2|1.5|1.3|0.7|3.5|27.3|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_cy_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_cy|2933|94018|93.9|3.9|2.2|0.9|7.0|48.1|
|decode_asr_lm_lm_train_lm_cy_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_cy|2937|83456|95.5|2.9|1.6|0.8|5.3|27.3|


## asr_train_asr_conformer5_raw_ru_bpe150_sp
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_ru_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_ru|7242|70009|94.1|5.1|0.8|0.4|6.4|31.1|
|decode_asr_lm_lm_train_lm_ru_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_ru|7307|71189|92.8|6.2|1.0|0.7|7.9|35.7|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_ru_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_ru|7242|524636|98.7|0.7|0.6|0.3|1.6|31.1|
|decode_asr_lm_lm_train_lm_ru_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_ru|7307|537025|98.3|0.9|0.8|0.4|2.1|35.7|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_ru_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_ru|7242|390518|98.2|1.1|0.7|0.3|2.1|31.0|
|decode_asr_lm_lm_train_lm_ru_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_ru|7307|399162|97.7|1.4|0.9|0.5|2.8|35.5|


## asr_train_asr_conformer5_raw_it_bpe150_sp
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_it_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_it|11904|116060|86.6|12.0|1.4|1.2|14.6|61.1|
|decode_asr_lm_lm_train_lm_it_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_it|11900|117102|85.2|13.3|1.5|1.3|16.1|64.7|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_it_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_it|11904|749478|96.9|1.3|1.7|0.8|3.9|61.1|
|decode_asr_lm_lm_train_lm_it_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_it|11900|758880|96.5|1.6|1.9|0.9|4.4|64.7|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_it_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_it|11904|658176|96.3|1.8|2.0|0.9|4.7|61.1|
|decode_asr_lm_lm_train_lm_it_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_it|11900|666128|95.7|2.1|2.2|1.0|5.3|64.7|


## asr_train_asr_conformer5_raw_fa_bpe150_sp
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_fa_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_fa|3989|29217|99.0|0.8|0.2|0.1|1.1|3.1|
|decode_asr_lm_lm_train_lm_fa_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_fa|3989|30347|98.3|1.3|0.4|0.2|1.9|3.9|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_fa_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_fa|3989|140286|99.6|0.2|0.2|0.1|0.5|3.1|
|decode_asr_lm_lm_train_lm_fa_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_fa|3989|145161|99.1|0.4|0.5|0.2|1.1|3.9|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_fa_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_fa|3989|94378|99.4|0.3|0.2|0.1|0.7|3.1|
|decode_asr_lm_lm_train_lm_fa_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_fa|3989|97536|98.9|0.7|0.4|0.2|1.3|3.9|


## asr_train_asr_conformer5_raw_cs_bpe150_sp
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_cs_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_cs|2584|16239|89.5|8.8|1.6|0.7|11.1|33.4|
|decode_asr_lm_lm_train_lm_cs_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_cs|2574|16508|84.7|13.4|1.9|1.4|16.7|40.9|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_cs_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_cs|2584|96081|97.1|1.5|1.4|0.4|3.3|33.4|
|decode_asr_lm_lm_train_lm_cs_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_cs|2574|100007|95.9|2.5|1.6|0.8|5.0|40.9|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_cs_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_cs|2584|64193|95.8|2.8|1.5|0.4|4.6|33.4|
|decode_asr_lm_lm_train_lm_cs_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_cs|2574|67170|93.6|4.5|1.9|0.8|7.3|40.9|


## asr_train_asr_conformer5_raw_pl_bpe150_sp
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_pl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_pl|4458|32280|93.0|6.5|0.5|0.4|7.4|24.6|
|decode_asr_lm_lm_train_lm_pl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_pl|4458|31588|97.6|2.1|0.3|0.2|2.6|9.3|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_pl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_pl|4458|211104|97.4|0.6|2.1|0.3|3.0|24.6|
|decode_asr_lm_lm_train_lm_pl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_pl|4458|195386|99.2|0.3|0.5|0.3|1.2|9.3|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_pl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_pl|4458|130736|97.2|1.4|1.4|0.2|3.0|22.4|
|decode_asr_lm_lm_train_lm_pl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_pl|4458|122251|99.1|0.5|0.4|0.2|1.1|6.5|


## asr_train_asr_conformer5_raw_kab_bpe150_sp
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_kab_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_kab|13384|56739|96.4|3.3|0.3|0.2|3.8|12.6|
|decode_asr_lm_lm_train_lm_kab_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_kab|13384|61644|96.5|3.2|0.3|0.2|3.7|12.7|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_kab_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_kab|13384|344273|99.0|0.4|0.5|0.3|1.3|12.6|
|decode_asr_lm_lm_train_lm_kab_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_kab|13384|368709|98.9|0.5|0.6|0.3|1.4|12.7|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_kab_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_kab|13384|245178|98.7|0.7|0.6|0.3|1.6|12.5|
|decode_asr_lm_lm_train_lm_kab_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_kab|13384|260909|98.6|0.8|0.6|0.3|1.7|12.5|


## asr_train_asr_conformer5_raw_nl_bpe150_sp
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_nl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_nl|2198|18481|95.6|3.9|0.5|0.7|5.1|11.6|
|decode_asr_lm_lm_train_lm_nl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_nl|2198|18259|98.4|1.3|0.3|0.2|1.8|5.8|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_nl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_nl|2198|107260|98.3|0.9|0.8|0.6|2.3|11.6|
|decode_asr_lm_lm_train_lm_nl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_nl|2198|104904|99.3|0.3|0.3|0.2|0.9|5.8|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_nl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/dev_nl|2198|59521|97.1|2.0|1.0|0.5|3.4|11.6|
|decode_asr_lm_lm_train_lm_nl_bpe150_valid.loss.ave_asr_model_valid.acc.ave/test_nl|2198|58344|99.1|0.6|0.3|0.2|1.1|5.8|


## asr_train_asr_conformer5_raw_fr_bpe350_sp
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_fr_bpe350_valid.loss.ave_asr_model_valid.acc.ave/dev_fr|15621|148983|88.8|10.5|0.8|0.7|11.9|51.6|
|decode_asr_lm_lm_train_lm_fr_bpe350_valid.loss.ave_asr_model_valid.acc.ave/test_fr|15621|151227|87.1|11.9|1.0|1.0|13.9|56.5|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_fr_bpe350_valid.loss.ave_asr_model_valid.acc.ave/dev_fr|15621|939088|97.5|1.3|1.2|0.9|3.4|51.6|
|decode_asr_lm_lm_train_lm_fr_bpe350_valid.loss.ave_asr_model_valid.acc.ave/test_fr|15621|952803|96.9|1.6|1.5|1.1|4.1|56.5|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_fr_bpe350_valid.loss.ave_asr_model_valid.acc.ave/dev_fr|15621|720834|96.4|2.4|1.3|0.8|4.5|51.1|
|decode_asr_lm_lm_train_lm_fr_bpe350_valid.loss.ave_asr_model_valid.acc.ave/test_fr|15621|730898|95.5|2.9|1.6|1.0|5.5|56.0|


## asr_train_asr_conformer5_raw_es_bpe235_sp
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_es_bpe235_valid.loss.ave_asr_model_valid.acc.ave/dev_es|14859|146626|90.2|9.0|0.8|0.8|10.6|51.1|
|decode_asr_lm_lm_train_lm_es_bpe235_valid.loss.ave_asr_model_valid.acc.ave/test_es|14860|146737|89.6|9.6|0.9|1.0|11.4|52.8|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_es_bpe235_valid.loss.ave_asr_model_valid.acc.ave/dev_es|14859|901975|97.5|1.1|1.4|0.7|3.1|51.1|
|decode_asr_lm_lm_train_lm_es_bpe235_valid.loss.ave_asr_model_valid.acc.ave/test_es|14860|903351|97.2|1.3|1.5|0.8|3.6|52.9|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_asr_lm_lm_train_lm_es_bpe235_valid.loss.ave_asr_model_valid.acc.ave/dev_es|14859|916833|97.6|1.1|1.3|0.7|3.1|51.1|
|decode_asr_lm_lm_train_lm_es_bpe235_valid.loss.ave_asr_model_valid.acc.ave/test_es|14860|918221|97.3|1.3|1.5|0.8|3.5|52.9|

<!-- Generated by scripts/utils/show_asr_result.sh -->
# RESULTS
## Environments
- date: `Fri Feb 21 18:02:44 EST 2020`
- python version: `3.7.6 (default, Jan  8 2020, 19:59:22)  [GCC 7.3.0]`
- espnet version: `espnet 0.6.0`
- pytorch version: `pytorch 1.1.0`
- Git hash: `0e77e4fd739df808d0723613ba2517ac5fbb8b2a`
  - Commit date: `Tue Feb 4 19:31:37 2020 +0900`

## asr_transformer
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_valid_dev_kabdecode_lm_eval.loss.best_asr_model_valid.loss.best|17766|96726|64.9|30.2|5.0|2.2|37.3|76.1|
|decode_valid_test_kabdecode_lm_eval.loss.best_asr_model_valid.loss.best|18221|93979|65.0|30.4|4.7|2.5|37.5|76.1|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_valid_dev_kabdecode_lm_eval.loss.best_asr_model_valid.loss.best|17766|564544|90.0|4.7|5.3|2.6|12.6|76.1|
|decode_valid_test_kabdecode_lm_eval.loss.best_asr_model_valid.loss.best|18221|551199|90.3|4.6|5.1|2.7|12.5|76.1|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|decode_valid_dev_kabdecode_lm_eval.loss.best_asr_model_valid.loss.best|17766|356649|83.9|10.5|5.6|2.9|18.9|76.1|
|decode_valid_test_kabdecode_lm_eval.loss.best_asr_model_valid.loss.best|18221|350154|84.1|10.4|5.5|2.9|18.8|76.1|

# RESULTS
## Environments
- date: `Thu Sep  1 16:16:04 UTC 2022`
- python version: `3.9.12 (main, Jun  1 2022, 11:38:51)  [GCC 7.5.0]`
- espnet version: `espnet 202207`
- pytorch version: `pytorch 1.12.1+cu102`
- Git hash: `13db69d3befc3c82a5ff5a11e28bf79d5030603f`
  - Commit date: `Mon Aug 29 13:44:35 2022 +0000`

## asr_train_asr_conformer5_raw_zh_TW_bpe2542_sp_lr1.0
- **HuggingFace model URL: https://huggingface.co/espnet/shihlun-asr-commonvoice-zh-TW**
### WER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|inference_asr_model_valid.acc.best/dev_zh_TW|2627|2627|90.5|9.5|0.0|0.0|9.5|9.5|
|inference_asr_model_valid.acc.best/test_zh_TW|2627|2627|92.3|7.7|0.0|0.0|7.7|7.7|

### CER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|inference_asr_model_valid.acc.best/dev_zh_TW|2627|22200|97.7|2.1|0.2|0.0|2.4|9.5|
|inference_asr_model_valid.acc.best/test_zh_TW|2627|21991|98.0|1.6|0.4|0.1|2.1|7.7|

### TER

|dataset|Snt|Wrd|Corr|Sub|Del|Ins|Err|S.Err|
|---|---|---|---|---|---|---|---|---|
|inference_asr_model_valid.acc.best/dev_zh_TW|2627|24827|98.6|1.2|0.2|0.0|1.5|4.0|
|inference_asr_model_valid.acc.best/test_zh_TW|2627|24618|98.8|0.9|0.4|0.1|1.3|3.4|
